<template>
  <div class="col justify-center items-center">
    <div class="row justify-center items-center" style="text-align: center">
      <h4>Busca compañeros alrededor del mundo</h4>
    </div>

    <div class="row justify-center items-center">
      <q-select
        filled
        multiple
        v-model="selectedGames"
        use-chips
        :options="options"
        style="width: 250px"
        label="Seleccionar juegos"
      />
    </div>

    <div class="row justify-center">
      <q-btn label="Buscar" @click="search" style="margin-top: 45px" color="primary" />
    </div>
  </div>
</template>

<script>
import axios from "axios";
export default {
  data() {
    return {
      games: [],
      selectedGames: []
    };
  },
  mounted() {
    axios
      .get("http://10.0.2.2:5000/api/game/")
      .then(response => (this.games = response.data));
  },
  computed: {
    options: function() {
      return this.games.map(game => game.name);
    }
  },
  methods: {
    search() {
      if (this.selectedGames.length === 0) this.$q.notify("Selecione un juego");
      else {
        const username = this.$store.state.loggedUser;
        const selectedGamesIds = this.selectedGames
          .map(game => {
            return this.games.find(juego => juego.name === game).id;
          })
          .join(",");
        axios
          .get(
            `http://10.0.2.2:5000/api/searchusers/?username=${username}&games=${selectedGamesIds}`
          )
          .then(response => {
              console.log(response.data)
              this.$store.commit('results', response.data)
            this.$router.push("/results")});
          
      }
    }
  }
};
</script>